#include <iostream>

#include <sys/timeb.h> // "more < /usr/[local]/include/sys/timeb.h" with UNIX

#include "Fibonacci.h"

int main(int argc, char** argv) {
	timeb start, end;
	::ftime(&start);
	std::cout << "start: " << start.time << "." << start.millitm << "\n";
	Fibonacci fibonacci(5L, Fibonacci::Method::Iterative); // Default method is "Fibonacci::Method::Recursive"...
	::ftime(&end);
	std::cout << "end: " << end.time << "." << end.millitm << "\n";
	std::cout << "result: " << fibonacci.result << "\n"; // '5'
	std::cout << "cost: " << fibonacci.cost << "\n"; // '4'

	return 0;
}
